Summary:      Miniature XML development library
Name:         mxml
Version:      2.5
Release:      2%{?dist}
License:      LGPLv2+
Group:        System Environment/Libraries
URL:          http://www.easysw.com/~mike/mxml/
Source0:      http://ftp.easysw.com/pub/mxml/%{version}/mxml-%{version}.tar.gz
Patch0:       mxml-no-rpath.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This is requires because we patch configure.in.
BuildRequires: autoconf

%description
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
non-standard libraries.

%package devel
Summary:  Libraries, includes, etc to develop mxml applications
Group:    Development/Libraries
Requires: mxml = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries, include files, etc you can use to develop mxml
applications.

%prep
%setup -q
%patch0 -p0

%build
# Run autoconf since we patched configure.in.
autoconf
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make BUILDROOT=%{buildroot} install

# Configuring with --disable-static doesn't work, so let's just delete
# the .a file by hand.
rm %{buildroot}%{_libdir}/libmxml.a

# remove extra docs
rm -rf %{buildroot}%{_datadir}/doc/mxml/

# remove rendered man pages
rm -f %{buildroot}%{_datadir}/man/cat*/*


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*
%{_libdir}/libmxml.so.*

%files devel
%defattr(-,root,root,-)
%doc CHANGES doc/*.html doc/*.gif
%{_includedir}/*.h
%{_libdir}/libmxml.so
%{_mandir}/*/*
%{_libdir}/pkgconfig/mxml.pc

%changelog
* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-2
- fix license tag

* Tue Jul 08 2008 Anthony Green <green@redhat.com> 2.5
- Upgrade source.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.2-8
- Autorebuild for GCC 4.3

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.2.2-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 2.2.2-6
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 2.2.2-5.1
- Rebuild.

* Mon Sep  4 2006 Anthony Green <green@redhat.com> 2.2.2-5
- devel package must Require pkgconfig.

* Wed Jul 19 2006 Anthony Green <green@redhat.com> 2.2.2-4
- Fix /usr/share references.

* Sat Jul 15 2006 Anthony Green <green@redhat.com> 2.2.2-3
- Fix /usr/lib reference when deleting libmxml.a.

* Sat Jul 15 2006 Anthony Green <green@redhat.com> 2.2.2-2
- Fix License (LGPL, not GPL).
- Move programming documentation to devel package.
- Build shared library, and no static library.
- Add %post(un).
- Remove rpath with mxml-no-rpath.patch.
- First Fedora Extras build.

* Fri Sep 23 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.2-1
- updated to 2.2.2 (zynaddsubfx needs 2.2 at least)
* Mon Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup
* Wed Aug  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0-1
- initial build.


